function err=CompReprojectionError(CamEST,PI,Points,CalibInfo)

NV=size(PI,2);
auxERR(NV)=struct;
 for NT=1:NV
  T=ReflectTransf(PI(1:3,NT),-PI(4,NT))/CamEST;
  x_est=ProjectPoints(Points(NT).X(1:3,:),T,CalibInfo.fc,CalibInfo.cc,...
   CalibInfo.kc,CalibInfo.alpha);
  auxERR(NT).err=sqrt(sum((Points(NT).x_px(1:2,:)-x_est).^2));
 end
 err.ERR=[auxERR.err];
 err.errRMS=RMS(err.ERR);
 err.errMEAN=mean(err.ERR);
 err.errSTD=std(err.ERR);
 err.errMAX=max(err.ERR);